add_layout_ {igraph} | R Documentation

## Add layout to graph

### Description

Add layout to graph

### Usage

    add_layout_(graph, ..., overwrite = TRUE)

### Arguments

`graph` | The input graph.
`...` | Additional arguments are passed to `layout_`.
`overwrite` | Whether to overwrite the layout of the graph, if it already has one.

### Value

The input graph, with the layout added.

### See Also

`layout_` for a description of the layout API.

Other graph layouts: `as_bipartite`, `layout.bipartite`, `layout_as_bipartite`; `as_star`, `layout.star`, `layout_as_star`; `as_tree`, `layout_as_tree`; `component_wise`; `in_circle`, `layout_in_circle`; `layout.auto`, `layout_nicely`, `nicely`; `layout.davidson.harel`, `layout_with_dh`, `with_dh`; `layout.gem`, `layout_with_gem`, `with_gem`; `layout.graphopt`, `layout_with_graphopt`, `with_graphopt`; `layout.grid`, `layout.grid.3d`, `layout.grid.3d`, `layout_on_grid`, `on_grid`; `layout.mds`, `layout_with_mds`, `with_mds`; `layout.merge`, `layout_components`, `merge_coords`, `piecewise.layout`, `piecewise.layout`; `layout.norm`, `norm_coords`; `layout.sugiyama`, `layout_with_sugiyama`, `with_sugiyama`; `layout_on_sphere`, `on_sphere`; `layout_randomly`, `randomly`; `layout_with_fr`, `with_fr`; `layout_with_kk`, `with_kk`; `layout_with_lgl`, `with_lgl`; `layout`, `layout_`, `print.igraph_layout_modifier`, `print.igraph_layout_spec`; `normalize`

### Examples

    (make_star(11) + make_star(11)) %>%
      add_layout_(as_star(), component_wise()) %>%
      plot()

[Package igraph version 1.0.1 Index]